Summary: A multi-player, empire-building strategy game.
Name: xconq
Version: 7.4.1
Release: 1
Copyright: GPL
Group: Amusements/Games
Source: ftp://sources.redhat.com/pub/xconq/xconq-%{version}.tar.bz2
Source1: xconq-runme
Patch0: xconq-xpm.patch
Patch1: xconq-setuid.patch
Patch2: xconq-7.2.2-gcc.patch
Patch3: xconq-7.4.1-security.patch
Url: http://sourceware.cygnus.com/xconq/ftp.html
BuildRoot: %{_tmppath}/%{name}-root

%description
Xconq is a multi-player, empire-building strategy game in which
players contest for world domination.  In the standard game, each
player (31 players are allowed) starts with a few towns and cities,
and may build infantry, armor, airplanes, and ships.  Each player's
actions are hidden; speed and surprise are important.  Any or all
sides may be played by the computer.

In addition to the standard game, Xconq includes a game design
language (GDL) that can be used to define a wide variety of
games. Games already in the distribution's library include everything
from basic combat to elaborate world models, with time periods ranging
from ancient history into the distant future.  Xconq has a huge number
of features, and a lengthy manual describing them.

%prep
%setup -q
#%patch0 -p1 -b .xpm
%patch1 -p1 -b .setuid
#%patch2 -p1 -b .than
%patch3 -p1 -b .sec

%build
%configure --with-xpm --bindir=%{_prefix}/games \
  --enable-alternate-scoresdir=/var/lib/games/xconq

make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/lib/games/xconq
%makeinstall bindir=$RPM_BUILD_ROOT%{_prefix}/games  \
	scoresdir=$RPM_BUILD_ROOT/var/lib/games/xconq \
	gamelibdir=$RPM_BUILD_ROOT%{_datadir}/xconq \
        datadir=$RPM_BUILD_ROOT%{_datadir}/xconq \
	mandir=$RPM_BUILD_ROOT%{_mandir}

install -m 755 $RPM_SOURCE_DIR/xconq-runme $RPM_BUILD_ROOT%{_prefix}/games/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc  COPYING INSTALL ChangeLog NEWS README 
%attr(2755,root,games) %{_prefix}/games/xconq
%{_prefix}/games/imf2x
%{_prefix}/games/x2imf
%{_prefix}/games/ximfapp
%{_prefix}/games/xconq-runme
#%config %{_prefix}/X11R6/lib/X11/app-defaults/*
%{_datadir}/xconq
%attr(0755,root,games) /var/lib/games/xconq
%{_mandir}/*/* 

%changelog
* Sat Jan 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 7.4.1
- Drop setgid privileges while not writing to score files
  (Bug #24339)

* Tue Dec 19 2000 Than Ngo <than@redhat.com>
- bzip2 sources

* Thu Aug 03 2000 Than Ngo <than@redhat.de>
- permission fix (Bug 15230)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- rebuilt

* Thu Jun 29 2000 Than Ngo <than@redhat.de>
- update to 7.2.3
- FHS fixes
- update Url and ftp
- fix to built as noroot

* Mon May 29 2000 Ngo Than <than@redhat.de>
- put resource file in /usr/X11R6/lib/X11/app-defaults
- put man pages in correct place
- add Url
- cleanup specfile
- fix xconq to compiler with new gcc

* Thu Aug 19 1999 Tim Powers <timp@redhat.com>
- edited xconq-runme so that it looks in /usr/games
- now installs binaries in /usr/games instead of /usr/bin/games

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- do not install setuid.

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 28 1998 Michael Maher <mike@redhat.com>
- fixed ownership of appdefaults.

* Wed Jul 09 1998 Michael Maher <mike@redhat.com>
- built package

